<?php
require_once APPPATH."core/My_Model.php";
//namespace application\models\hclinica;

use application\models\MyModel;

class NotaVentaModel extends My_Model
//class NotaVentaModel extends MyModel
{
    public function __construct()
    {
        parent::__construct();
        $this->db=$this->conexion;
        $this->table="notaventa";
        $this->idTable="idNotaVenta";
    }
    public function guardarStdNotaVenta($objeto)
    {
        $this->guardarStdObject($objeto);
    }
    public function getListNotaByIdEncHistoria($idEncHistoria){
        $sql="SELECT * FROM {$this->table} WHERE idEncHistoria=? AND status=?";
        return $this->getListRowsAssoc($sql,[$idEncHistoria,1]);
    }
    public function getDato1($sql,$params)
    {
        return $this->getDato($sql,$params);
    }
}

